<!--
    SPDX-License-Identifier: AGPL-3.0-or-later
    Copyright (C) 2023 Divy Patel
-->
{% extends "base/base.html" %}
{% load static %}
{% block page_heading %}
    Annotation Info
{% endblock page_heading %}
{% block main_content %}
    {% comment %} Flex box for image on the right {% endcomment %}
    <div class="container mx-0">
        <div class="d-flex">
            <div class="flex-fill">
                <p>Question: {{ annotation.task.question_number }}</p>
                <p>Version: {{ annotation.task.version }}</p>
                <p>Score: {{ annotation.score }}</p>
                <p>
                    Paper: <!-- TODO: ADD LINK TO PAPER PAGE HERE --> {{ annotation.task.paper }}
                </p>
                <p>Edition: {{ annotation.edition }}</p>
                <p>User: {{ annotation.user.username }}</p>
            </div>
            <div class="flex-fill">
                <!-- TODO (#2798): add image here -->
                <p>Annotation Image here</p>
            </div>
        </div>
    </div>
    <h2>Rubrics</h2>
    <table class="table table-striped table-bordered sortable">
        <thead>
            <tr>
                <th>ID</th>
                <th>Display Delta</th>
                <th>Kind</th>
                <th>Question</th>
                <th>Text</th>
            </tr>
        </thead>
        <tbody>
            {% for rubric in rubrics %}
                <tr>
                    <td>
                        <a href="{% url 'rubric_item' rubric.key %}">{{ rubric.key }}</a>
                    </td>
                    <td>{{ rubric.display_delta }}</td>
                    <td>{{ rubric.kind }}</td>
                    <td>{{ rubric.question }}</td>
                    <td>{{ rubric.text }}</td>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock main_content %}
